<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.7

Copyright (C) 2006-2007  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

session_start(); 
include_once("../inc/config.inc.php");
include_once("../inc/func_log.inc.php");
if (CheckURLLog(FALSE)==FALSE) header("Location: ../index.php");
if (CheckNivLog("5-9")==FALSE) header("Location: ../index.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/fic_co.inc.php");
include_once("../inc/fic_txt.inc.php");
include_once("../classes/fckeditor/fckeditor.php");

Archivelog(@$_SESSION["code_log"]);

$td = strip_tags(trim($_GET['td']));
$coderech = strip_tags(trim($_GET['code']));

$pbm_co=FALSE;

if ($coderech <> "")
{
	// Récupération des informations contrat
	$row = lit_enr_co($coderech);
	if (is_array($row))
	{
		extract ($row);
	
		if ($td == "add")
		{
			$co_code = "(2)".$coderech;
			$co_code = substr($co_code,0,10); // Le code ne doit pas dépasser 10 caractères
			$co_nom = ""; // RAZ du nom pour nouveau nom
			$titre = "CREATION CONTRAT TYPE";
		}
	
		if ($td == "edit")
			$titre = "MISE A JOUR CONTRAT TYPE";
	
		if ($td == "del")
			$titre = "SUPPRESSION CONTRAT TYPE";
	}
	else
		$pbm_co=TRUE;
}
else
{
	if ($td == "add")
	{
		// Récupération du texte "master" des conditions générales de vente pour les contrats
		
		$row = lit_enr_txt("CON_CGV_MASTER");
		extract($row);
		
		$co_cgv = $txt_texte;

		$titre = "CREATION CONTRAT TYPE";
	}
	else
		$pbm_co=TRUE;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Fiche Contrat Type</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

<!-- Scripts Javascript pour contrôle de formulaire -->
<script	type="text/javascript" src="../jscript/vform/vform.js"></script>

<script language="javascript">
var tab1_champ=new Array(
	"nom:code ; format:alphanum ; req:Y ; txt:Code; lmx:20 ; stok:frmok ; stbad:frmbad",
	"nom:nom ; format:txt ; req:Y ; txt:Nom ; lmx:50 ; stok:frmok ; stbad:frmbad",
	"nom:desc ; format:txt ; req:Y ; txt:Descriptif; stok:frmok ; stbad:frmbad");
</script>

<!-- Scripts Javascript pour alertes -->
<script language="JavaScript" src="../jscript/alertes.js"></script>

<!-- Scripts Javascript divers -->
<script language="JavaScript" src="../jscript/divers.js"></script>

</head>
<?PHP if ($td == "del") 
{
?>
<body onLoad="warndelco();metReadonly();">
<?PHP
}
else
{
?>
<body onLoad="metFocus();">
<?PHP }
include_once("../inc/entete.inc.php"); 

if ($pbm_co==FALSE)
{
?>
<p align="center"> <span class="titrepage"><?PHP echo $titre ?></span></p>
<table width="100%"  border="0">
<tr>
	<td width="33%"><strong><em><a href="co_lst.php">Retour &agrave; la liste</a></em></strong></td>
	<td width="33%" bgcolor="#FF0000">
		<div align="center"><span class="titrerubrique1">Descriptif</span></div>
	</td>
	<td width="33%">
		<div align="right">
		<?PHP
		if ($td == "edit")
		{
			$urlimp = "co_maji.php?code=".$coderech;
		?>
			<a href="javascript:;" onclick="lanceimp('<?PHP echo $urlimp; ?>');")><img src="../img/print.gif" title="Imprimer la fiche" width="22" height="22" border="0" align="absmiddle"></a> <a href="javascript:;" onclick="lanceimp('<?PHP echo $urlimp; ?>');")> Imprimer la fiche </a></div>
		<?PHP } ?>
		</div>
	</td>
</tr>
</table>
<div id="oblig" align="center" class="annot_gras_it">(<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire"> : Saisie obligatoire)
</div>
<form name="co_maj" id="co_maj" method="post" action="co_enr.php" onSubmit="javascript:; return (VForm(this,tab1_champ,'',''));">
      <input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
      <input name="td" type="hidden" id="td" value="<?PHP echo $td ?>">

<table width="100%"  border="0">
<tr>
	<td width="20%" class="rubfrm" id="f_code"><div align="right">Code</div></td>
	<td>
	<?PHP if ($td == "add") { ?>
		<input name="code" type="text" id="code" value="<?PHP echo $co_code ?>" size="10" onChange="javascript:this.value=this.value.toUpperCase();">
		<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
	<?PHP } else { ?>
		<input name="code" type="text" id="code" value="<?PHP echo $co_code ?>" size="10" readonly="1">
	<?PHP } ?>
	</td>
</tr>
<tr>
	<td width="20%" class="rubfrm" id="f_nom"><div align="right">Nom</div></td>
	<td>
		<?PHP
		if (($td == "add") OR ($td == "edit"))
		{
		?>
			<input name="nom" type="text" id="nom" value="<?PHP echo htmlspecialchars($co_nom) ?>" size="50" onChange="javascript:this.value=this.value.toUpperCase();"> 
			<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
		<?PHP
		}
		else
		{
		?>
			<input name="nom" type="text" id="nom" value="<?PHP echo htmlspecialchars($co_nom) ?>" size="50" readonly="1"> 
		<?PHP
		}
		?>
	</td>
</tr>
<tr>
	<td width="20%" class="rubfrm" id="f_desc"><div align="right">Descriptif</div></td>
	<td>
		<?PHP
		if (($td == "add") OR ($td == "edit"))
		{
		?>
			<textarea name="desc" cols="90" rows="5" id="desc"><?PHP echo htmlspecialchars($co_desc) ?></textarea>
			<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
		<?PHP
		}
		else
		{
		?>
			<textarea name="desc" cols="90" rows="5" readonly="readonly" id="desc"><?PHP echo htmlspecialchars($co_desc) ?></textarea>
		<?PHP
		}
		?>
	</td>
</tr>
<tr>
	<td valign="top" class="rubfrm" id="f_cgv"><div align="right">
		Conditions g&eacute;n&eacute;rales de vente du contrat (par l'agence)
		</div>
	</td>
	<td valign="top">
		<?PHP
		if (($td == "add") OR ($td == "edit"))
		{
			$sBasePath = $_SERVER['PHP_SELF'] ;
			$sBasePath = substr( $sBasePath, 0, strpos( $sBasePath, "admin" ) ).'classes/fckeditor/' ;
			
			$oFCKeditor = new FCKeditor('FCKeditor1') ;
			$oFCKeditor->BasePath	= $sBasePath;
			$oFCKeditor->Value		= $co_cgv;
			$oFCKeditor->Height 	= '400';
			$oFCKeditor->ToolbarSet = 'SMI';
			$oFCKeditor->Create();
		?>
        <img src="../img/oblig.gif" width="10" height="11" align="top"> 
		<?PHP
		}
		else
		{
		?>
			<textarea name="texte" cols="90" rows="10" readonly="readonly" id="texte"><?PHP echo htmlspecialchars($co_cgv) ?></textarea>
		<?PHP
		}
		?>
	</td>
</tr>
<tr>
	<td width="20%" class="rubfrm" id="f_actif"><div align="right">Actif</div></td>
<td>
	<?PHP 
	if ($td == "add")
	{ 
		echo "<select name=\"actif\" size=\"1\" id=\"actif\">";
		echo "<option value=\"1\">Oui</option>";
		echo "<option value=\"0\" selected>Non</option>";
		echo "</select>";
	}
	
	if (($td == "edit") OR ($td == "del"))
	{ 
		if ($co_actif == TRUE)
		{
			echo "<select name=\"actif\" size=\"1\" id=\"actif\">";
			echo "<option value=\"1\" selected>Oui</option>";
			echo "<option value=\"0\">Non</option>";
			echo "</select>";
		}
		else
		{
			echo "<select name=\"actif\" size=\"1\" id=\"actif\">";
			echo "<option value=\"1\">Oui</option>";
			echo "<option value=\"0\" selected>Non</option>";
			echo "</select>";
		}
	}
	?>
	<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire"> </td>
</tr>
<tr>
	<td width="20%" class="rubfrm" id="f_actif" align="right">Sp&eacute;cifique</td>
<td>
	<?PHP 
	if ($td == "add")
	{ 
		echo "<select name=\"specif\" size=\"1\" id=\"specif\">";
		echo "<option value=\"1\">Oui</option>";
		echo "<option value=\"0\" selected>Non</option>";
		echo "</select>";
	}
	
	if (($td == "edit") OR ($td == "del"))
	{ 
		if ($co_specif == TRUE)
		{
			echo "<select name=\"specif\" size=\"1\" id=\"specif\">";
			echo "<option value=\"1\" selected>Oui</option>";
			echo "<option value=\"0\">Non</option>";
			echo "</select>";
		}
		else
		{
			echo "<select name=\"specif\" size=\"1\" id=\"specif\">";
			echo "<option value=\"1\">Oui</option>";
			echo "<option value=\"0\" selected>Non</option>";
			echo "</select>";
		}
	}
	?>
	<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire"> <br>
	<span class="annot_petit_it">(Si sp&eacute;cifique, utilisable en espace priv&eacute;, mais pas affich&eacute; dans l'espace publique)</span></td>
</tr>
</table>
<p align="center">
<?PHP if (($td == "add") OR ($td == "edit")) { ?>
	<input name="RAZ" type="reset" class="bton_fmarr_std" id="RAZ" value="R&eacute;initialiser">
	<input name="submit" type="submit" class="bton_fmarr_std" id="submit" value="Enregistrer">
<?PHP } ?>
<?PHP if ($td == "del") { ?>
	<input name="del" type="submit" class="bton_fmarr_std" id="del" value="Supprimer">
	<input name="annul" type="button" class="bton_fmarr_std" id="annul" value="Annuler" onclick="javascript:; history.back();">
<?PHP } ?>
</p>
</form>
<?PHP
}
else
{
?>
	<script type="text/javascript">
	setTimeout("self.location.href=('co_lst.php');",2000)
	</script>
	<p align="center" class="annot_std_it">Probl&ecirc;me sur les param&egrave;tres...</p>
<?php 
}
include_once("pied.php")
?>
